%define module	SCUBA-Table-NoDeco
%define name	perl-%{module}
%define version	0.03
%define release	2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Calculate no-decompression dive times
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://pjf.id.au/download/scuba-table-nodeco/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}/
BuildRoot:	%{_tmppath}/%{name}-%{version}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Buildarch:	noarch

%description
This module provides the ability to perform useful calculations using
dive-tables, including calculating dive groups and maximum no-decompression
times for repetitive dives. A selection of tables are available. The module
assumes that the diver is using air as their breathing gas.

%prep
%setup -n %{module}-%{version}
# fix perms
chmod 644 README Changes lib/SCUBA/Table/NoDeco.pm
# fix encoding
perl -pi -e 's/\015$//' README Changes lib/SCUBA/Table/NoDeco.pm

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%check
make test

%clean 
rm -rf %{buildroot}

%files 
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/SCUBA
%{_mandir}/*/*

%changelog
* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-2mdk 
- better url
- drop useless empty directories
- spec cleanup
- make test in %%check

* Sun Dec 19 2004 Guillaume Rousse <guillomovitch@mandrake.org> 0.3-1mdk 
- first mdk release
